Bug 1729966 - Unable to upload/import the service dialog
Summary: Unable to upload/import the service dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: William Fitzgerald
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 12:31 UTC by Niyaz Akhtar Ansari
Modified: 2019-12-13 15:00 UTC (History)
8 users (show)

Fixed In Version: 5.11.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 15:00:37 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
sample dialog (2.48 KB, text/plain)
2019-07-15 12:34 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2019-07-15 12:31:45 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Version 5.11.0.14.20190710225033_cb17ff0


How reproducible:
100%

Steps to Reproduce:
1. Go to automation -> Automate-> Customization 
2. Go to Import/Export accordion 
3. Choose the service dialog and Click on the Upload button

Actual results:
Can't upload the service dialog. It throws an error in the production log

Expected results:


Additional info:

Production log:


[----] I, [2019-07-15T08:29:47.529400 #7812:2aeb68ac2884]  INFO -- : Started POST "/miq_ae_customization/upload_import_file" for 10.67.116.67 at 2019-07-15 08:29:47 -0400
[----] I, [2019-07-15T08:29:47.532714 #7812:2aeb68ac2884]  INFO -- : Processing by MiqAeCustomizationController#upload_import_file as JS
[----] I, [2019-07-15T08:29:47.532847 #7812:2aeb68ac2884]  INFO -- :   Parameters: {"utf8"=>"✓", "upload"=>{"file"=>#<ActionDispatch::Http::UploadedFile:0x000055d6dfba3798 @tempfile=#<Tempfile:/tmp/RackMultipart20190715-7812-csialm.yml>, @original_filename="bugzilla-reproducer-service-dialog(3)(7)(1).yml", @content_type="application/x-yaml", @headers="Content-Disposition: form-data; name=\"upload[file]\"; filename=\"bugzilla-reproducer-service-dialog(3)(7)(1).yml\"\r\nContent-Type: application/x-yaml\r\n">}}
[----] F, [2019-07-15T08:29:47.622584 #7812:2aeb68ac2884] FATAL -- : Error caught: [Psych::DisallowedClass] Tried to load unspecified class: Symbol
/usr/share/ruby/psych/class_loader.rb:97:in `find'
/usr/share/ruby/psych/class_loader.rb:28:in `load'
/usr/share/ruby/psych/class_loader.rb:39:in `block (2 levels) in <class:ClassLoader>'
/usr/share/ruby/psych/class_loader.rb:32:in `symbolize'
/usr/share/ruby/psych/class_loader.rb:82:in `symbolize'
/usr/share/ruby/psych/scalar_scanner.rb:83:in `tokenize'
/usr/share/ruby/psych/visitors/to_ruby.rb:60:in `deserialize'
/usr/share/ruby/psych/visitors/to_ruby.rb:123:in `visit_Psych_Nodes_Scalar'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:337:in `block in revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each_slice'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:162:in `visit_Psych_Nodes_Mapping'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:338:in `block in revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each_slice'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:162:in `visit_Psych_Nodes_Mapping'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `block in register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:141:in `visit_Psych_Nodes_Sequence'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:338:in `block in revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each_slice'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:162:in `visit_Psych_Nodes_Mapping'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `block in register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:141:in `visit_Psych_Nodes_Sequence'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:338:in `block in revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each_slice'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:162:in `visit_Psych_Nodes_Mapping'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `block in register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:141:in `visit_Psych_Nodes_Sequence'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:338:in `block in revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `each_slice'
/usr/share/ruby/psych/visitors/to_ruby.rb:336:in `revive_hash'
/usr/share/ruby/psych/visitors/to_ruby.rb:162:in `visit_Psych_Nodes_Mapping'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `block in register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `each'
/usr/share/ruby/psych/visitors/to_ruby.rb:330:in `register_empty'
/usr/share/ruby/psych/visitors/to_ruby.rb:141:in `visit_Psych_Nodes_Sequence'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:311:in `visit_Psych_Nodes_Document'
/usr/share/ruby/psych/visitors/visitor.rb:16:in `visit'
/usr/share/ruby/psych/visitors/visitor.rb:6:in `accept'
/usr/share/ruby/psych/visitors/to_ruby.rb:32:in `accept'
/usr/share/ruby/psych.rb:325:in `safe_load'
/var/www/miq/vmdb/app/models/dialog_import_validator.rb:14:in `determine_validity'
/var/www/miq/vmdb/lib/services/dialog_import_service.rb:63:in `store_for_import'
/opt/rh/cfme-gemset/bundler/gems/cfme-ui-classic-5e000b56e413/app/controllers/miq_ae_customization_controller.rb:44:in `upload_import_file'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/abstract_controller/base.rb:186:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.1.7/lib/active_support/callbacks.rb:131:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.1.7/lib/active_support/notifications.rb:166:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.1.7/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.1.7/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal/params_wrapper.rb:252:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-5.1.7/lib/active_record/railties/controller_runtime.rb:22:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/abstract_controller/base.rb:124:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.1.7/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal.rb:189:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_controller/metal.rb:253:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/routing/route_set.rb:49:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/routing/route_set.rb:31:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/journey/router.rb:50:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/journey/router.rb:33:in `each'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/journey/router.rb:33:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/routing/route_set.rb:844:in `call'
/opt/rh/cfme-gemset/bundler/gems/cfme-graphql-181fe8896267/lib/manageiq/graphql/rest_api_proxy.rb:18:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/var/www/miq/vmdb/lib/request_started_on_middleware.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/session/abstract/id.rb:232:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/session/abstract/id.rb:226:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/callbacks.rb:26:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-5.1.7/lib/active_support/callbacks.rb:97:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/callbacks.rb:24:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/debug_exceptions.rb:59:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.1.7/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.1.7/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/request_id.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.1.7/lib/active_support/cache/strategy/local_cache_middleware.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.1.7/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.7/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.1.7/lib/rails/engine.rb:522:in `call'
/usr/share/gems/gems/puma-3.7.1/lib/puma/configuration.rb:232:in `call'
/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:578:in `handle_request'
/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:415:in `process_client'
/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:275:in `block in run'
/usr/share/gems/gems/puma-3.7.1/lib/puma/thread_pool.rb:120:in `block in spawn_thread'
[----] I, [2019-07-15T08:29:47.630060 #7812:2aeb68ac2884]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/cfme-ui-classic-5e000b56e413/app/views/layouts/_exception_contents.html.haml (6.7ms)
[----] I, [2019-07-15T08:29:47.630824 #7812:2aeb68ac2884]  INFO -- : Completed 200 OK in 98ms (Views: 7.9ms | ActiveRecord: 68.3ms)

Comment 3 Niyaz Akhtar Ansari 2019-07-15 12:34:08 UTC
Created attachment 1590747 [details]
sample dialog

Comment 4 William Fitzgerald 2019-07-16 12:52:56 UTC
I'm getting the same errors.

Dialog Imports are not working on this version 5.11.0.14

Reproducer: 10.8.198.196

Failed dialog above imports successfully in other versions like 5.11.0.8.

Comment 5 William Fitzgerald 2019-07-16 13:29:26 UTC
Import works on 5.11.0.13

Comment 7 Tina Fitzgerald 2019-07-16 19:49:21 UTC
Hi Martin,

Thanks for providing the PR that resolves this issue.

Thanks,
Tina

Comment 8 William Fitzgerald 2019-07-31 20:10:55 UTC
Martin created a fix and the import works on 5.11.0.16.20190724210259_2b4aa51

Comment 9 Niyaz Akhtar Ansari 2019-08-05 07:34:24 UTC
Verfied in Version 5.11.0.17.20190730152352_93b1c30


Note You need to log in before you can comment on or make changes to this bug.